<?php
namespace NicolasBejean\CategoryWidget\Model\CategoryWidget\Source;

use \Magento\Framework\Data\OptionSourceInterface;
use \NicolasBejean\CategoryWidget\Model\CategoryWidget;

/**
 * Class Enabled
 *
 * @category PHP
 * @package  NicolasBejean\CategoryWidget\Model\CategoryWidget\Source
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */
class Enabled implements OptionSourceInterface
{
    /**
     * @var CategoryWidget
     */
    protected $categoryWidget;

    /**
     * Constructor
     *
     * @param CategoryWidget   $categoryWidget
     */
    public function __construct(
        CategoryWidget         $categoryWidget
    )
    {
        $this->categoryWidget  = $categoryWidget;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $availableOptions = $this->categoryWidget->getAvailableStatuses();
        $options = [];
        foreach ($availableOptions as $key => $value) {
            $options[] = [
                'label' => $value,
                'value' => $key,
            ];
        }
        return $options;
    }
}
