<?php
namespace NicolasBejean\CategoryWidget\Model\ResourceModel\CategoryWidget\Relation\Store;

use \Magento\Framework\Exception\LocalizedException;
use \NicolasBejean\CategoryWidget\Model\ResourceModel\CategoryWidget;
use \Magento\Framework\EntityManager\Operation\ExtensionInterface;
use \Exception;

/**
 * Class ReadHandler
 *
 * @category PHP
 * @package  NicolasBejean\CategoryWidget\Model\ResourceModel\CategoryWidget\Relation\Store
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */
class ReadHandler implements ExtensionInterface
{
    /**
     * @var CategoryWidget
     */
    protected $resourceCategoryWidget;

    /**
     * @param CategoryWidget           $resourceCategoryWidget
     */
    public function __construct(
        CategoryWidget                 $resourceCategoryWidget
    ) {
        $this->resourceCategoryWidget  = $resourceCategoryWidget;
    }

    /**
     * @param object $entity
     * @param array $arguments
     * @return object
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     * @throws Exception
     */
    public function execute($entity, $arguments = [])
    {
        if ($entity->getId()) {
            try {
                $stores = $this->resourceCategoryWidget->lookupStoreIds((int)$entity->getId());
            } catch (Exception $e) {
            }
            $entity->setData('store_id', $stores);
            $entity->setData('stores', $stores);
        }
        return $entity;
    }
}
