<?php
namespace NicolasBejean\CategoryWidget\Model\Template;

use \Magento\Email\Model\Template\Filter as FilterExtends;
use \Magento\Framework\Exception\NoSuchEntityException;

/**
 * Class Filter
 *
 * @category PHP
 * @package  NicolasBejean\CategoryWidget\Model\Template
 * @author   Nicolas Béjean <nicolas@bejean.eu>
 * @license  https://github.com/nicolasbejean/category-widget/blob/master/licence.txt BSD Licence
 * @link     https://www.bejean.eu
 */
class Filter extends FilterExtends
{
    /**
     * Whether to allow SID in store directive: AUTO
     *
     * @var bool
     */
    protected $useSessionInUrl;

    /**
     * Setter whether SID is allowed in store directive
     *
     * @param bool $flag
     * @return $this
     */
    public function setUseSessionInUrl($flag)
    {
        $this->_useSessionInUrl = (bool)$flag;
        return $this;
    }
}
